=== debian/changelog ===
imx-usb-loader (0~git20171026.138c0b25-1) unstable; urgency=low

  * Initial release (Closes: #881899)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 16 Nov 2017 14:18:41 +0800
