=== debian/control ===
Source: imx-usb-loader
Section: electronics
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 9),
               docbook-xsl,
               libusb-1.0-0-dev,
               pkg-config,
               xsltproc
Standards-Version: 4.1.1
Homepage: https://github.com/boundarydevices/imx_usb_loader

Package: imx-usb-loader
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: imx_loader - i.MX/Vybrid recovery utility
 This utility allows one to download and execute code on Freescale
 i.MX5/i.MX6/i.MX7 and Vybrid SoCs through the Serial Download Protocol (SDP).
 Depending on the board, there is usually some kind of recovery button to
 bring the SoC into serial download boot mode, check documentation of your
 hardware.
 .
 The utility support USB and UART as serial link.
