=== debian/changelog ===
imx-usb-loader (0~git20181105.4aa98090-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper version to 10
  * Bump Standards-Version to 4.2.1: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 08 Nov 2018 08:57:28 +0800
