## imx-usb-loader 0~git20200103.f009770d

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 prefix ?= /usr
 bindir ?= $(prefix)/bin
 sysconfdir ?= $(prefix)/etc
+rel_sysconfdir = $(shell realpath -m --relative-to=$(bindir) $(sysconfdir))
 
 BUILDHOST := $(shell uname -s)
 BUILDHOST := $(patsubst CYGWIN_%,CYGWIN,$(BUILDHOST))
@@ -16,7 +17,7 @@
 USBCFLAGS = -I/usr/include/libusb-1.0
 USBLDFLAGS = -L/usr/lib -lusb-1.0
 endif
-CONFCPPFLAGS = -DSYSCONFDIR='"$(sysconfdir)"'
+CONFCPPFLAGS = -DSYSCONFDIR='"$(sysconfdir)"' -DREL_SYSCONFDIR='"$(rel_sysconfdir)"'
 CFLAGS ?= -Wall -Wstrict-prototypes -Wno-trigraphs
 
 imx_usb.o : imx_usb.c imx_sdp.h imx_loader_config.h portable.h
@@ -25,10 +26,10 @@
 %.o : %.c imx_sdp.h imx_loader_config.h portable.h image.h
 	$(CC) -c $*.c -o $@ -pipe -ggdb $(CFLAGS) $(CONFCPPFLAGS)
 
-imx_usb: imx_usb.o imx_sdp.o imx_sdp_simulation.o imx_loader_config.o
+imx_usb: imx_usb.o imx_sdp.o imx_sdp_simulation.o imx_loader_config.o sdp.o sdps.o
 	$(CC) -o $@ $^ $(LDFLAGS) $(USBLDFLAGS)
 
-imx_uart: imx_uart.o imx_sdp.o imx_loader_config.o
+imx_uart: imx_uart.o imx_sdp.o imx_loader_config.o sdp.o
 	$(CC) -o $@ $^ $(LDFLAGS)
 
 install: imx_usb imx_uart
@@ -44,8 +45,7 @@
 	rm -rf '$(DESTDIR)$(bindir)/imx_uart'
 
 clean:
-	rm -f imx_usb imx_uart imx_usb.o imx_uart.o imx_sdp.o \
-		imx_sdp_simulation.o imx_loader_config.o
+	rm -f imx_usb imx_uart *.o
 
 tests: imx_usb
 	$(MAKE) -C tests/ tests
