=== debian/changelog ===
imx-usb-loader (0~git20200103.f009770d-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 03 Feb 2020 12:09:23 +0800
