=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: electronics
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                docbook-xsl,
                libusb-1.0-0-dev,
                pkg-config,
                xsltproc
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/boundarydevices/imx_usb_loader
 
 Package: imx-usb-loader
