=== debian/changelog ===
imx-usb-loader (0~git20200517.30b43d69-2) unstable; urgency=low

  * Add debian/watch to track upstream changes.
   - We should remove get-orig-source target later in debian/rules when
     the upstream has newer versions.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 21 Nov 2022 01:19:30 +0800

imx-usb-loader (0~git20200517.30b43d69-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 23 May 2020 19:05:22 +0800
