=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

# Direct Git.
opts="mode=git, pretty=0~git%cd.%h" https://github.com/boundarydevices/imx_usb_loader.git \
  HEAD debian uupdate
